package com.chenyang.nse.bussiness.entity.param;

import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreParameter;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class MaskingTaskParam {
   private String taskid;
   private List<TCoreParameter> param;

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public List<TCoreParameter> getParam() {
      return this.param;
   }

   public void setParam(List<TCoreParameter> param) {
      this.param = param;
   }

   public Map<String, String> getMap() {
      Map<String, String> map = new HashMap();

      for(TCoreParameter item : this.param) {
         map.put(item.getId(), item.getParametername());
      }

      return map;
   }
}
